vty-5.4.0: A simple terminal UI library

Safe Haskell | None
Language | Haskell2010

Graphics.Vty.Debug

# Documentation

rowOpsEffectedColumns :: DisplayOps -> [Int] Source

allSpansHaveWidth :: DisplayOps -> Int -> Bool Source

spanOpsEffectedRows :: DisplayOps -> Int Source

type SpanConstructLog = [SpanConstructEvent] Source

data SpanConstructEvent Source

Constructors

SpanSetAttr Attr |

isSetAttr :: Attr -> SpanConstructEvent -> Bool Source

data MockWindow Source

Constructors

MockWindow Int Int |

Instances

Eq MockWindow Source |
Show MockWindow Source |

regionForWindow :: MockWindow -> DisplayRegion Source

type ImageConstructLog = [ImageConstructEvent] Source

data ImageConstructEvent Source

Constructors

ImageConstructEvent |

Instances

Eq ImageConstructEvent Source |
Show ImageConstructEvent Source |

forwardImageOps :: [Image -> Image] Source

forwardTransform :: ImageOp -> Image -> Image Source

reverseTransform :: ImageOp -> Image -> Image Source

data ImageOp Source

Constructors

ImageOp ImageEndo ImageEndo |

type ImageEndo = Image -> Image Source

debugImageOps :: [ImageOp] Source

idImageOp :: ImageOp Source